Subject: Re: bug#19972: Font size change doesn't update (window-total-width)

From: martin rudalics <[email-masked]>
Date: Tue, 03 Mar 2015 19:36:02 +0100

>> There should be one for a normally sized frame.
 >
 > We don't do anything with it, probably because the frame was already
 > resized.

Precisely.

 > IOW, we don't wait with a resize until we get a notification, but
 > instead resize the frame itself, and then might resize again when we
 > receive WM_SIZE.  Question: why not wait for WM_SIZE, and only resize
 > after it arrives?  That would emulate better what X does, and also
 > prevent the second resize.  No?

Usually there's no second resize because Windows does what we asked for.
And the first resize is here to fix bug#16028.

 >> When I asked you back then whether we could implement something similar
 >> to the X code on Windows you told me that Windows doesn't have anything
 >> comparable to ConfigureNotify so I didn't pursue the idea any further.
 >
 > I don't remember saying that (and don't know X well enough to make
 > such assertions to begin with), but in any case, you just explained
 > that I was wrong, and there is a Windows message equivalent to
 > ConfigureNotify.

Which?

martin